FreePBX 2.4 - General Questions

oneobserver

Joined
Jun 2, 2008
Messages
64
Likes
0
Points
0
#1
I'm new to this distribution, so forgive me if I am rehashing old stuff. I have gone through the forums and found what the search locates related to upgrading to FreePBX version 2.4 and have made the normdial fix. It all appears to be working, except the new features don't show up in the Elastix interface. Can somebody point me at the area that needs to be changed to enable the new features? I would like to have the Blast Groups and a few of the other links working.

If this is something that needs to be coded in, how do I sign up to assist in the project?

Also, anybody else out there using 2.4 with Elastix that can give pros and cons of doing so?

Mark Holm AKA OneObserver
www.infoarch.com
 

ramoncio

Joined
May 12, 2010
Messages
1,663
Likes
0
Points
0
#2
In order to use FreePBX 2.4 features, you must use the unembedded FreePBX.
Elastix developers should be working with the integration.
 

oneobserver

Joined
Jun 2, 2008
Messages
64
Likes
0
Points
0
#3
OK, so I gave up waiting. CliveJ came up with a good update script for getting freePBX 2.4 working with the distribution and I posted a set of patches under the developer forum for getting the new options visible in the embedded page. Only outstanding item that I have found so far is that the batch extension loader doesn't work right now. Looking at that and will post another set of patches to the developer forum when I have that worked out. Can anybody tell me how to contribute these directly to the distribution?

markh
 

CleveJ

Joined
Nov 12, 2007
Messages
100
Likes
0
Points
0
#4

userfromca

Joined
Jun 30, 2007
Messages
30
Likes
0
Points
0
#5
ramoncio said:
In order to use FreePBX 2.4 features, you must use the unembedded FreePBX.
Elastix developers should be working with the integration.
ramoncio,

Was I not supposed to update? I went ahead and ran the module update all the way through latest freepbx on elastix 1.1. What did I break? The system seems to be working fine. Old freepbx had a bug where I could not dial out using custom extension to an external phone local Local/xxxxxxx option. The latest version fixed it. Please advise.
 

oneobserver

Joined
Jun 2, 2008
Messages
64
Likes
0
Points
0
#6
CliveJ,

I responded in the other forum.
 

oneobserver

Joined
Jun 2, 2008
Messages
64
Likes
0
Points
0
#7
userfromca said:
ramoncio said:
In order to use FreePBX 2.4 features, you must use the unembedded FreePBX.
Elastix developers should be working with the integration.
ramoncio,

Was I not supposed to update? I went ahead and ran the module update all the way through latest freepbx on elastix 1.1. What did I break? The system seems to be working fine. Old freepbx had a bug where I could not dial out using custom extension to an external phone local Local/xxxxxxx option. The latest version fixed it. Please advise.
I've been using an updated to 2.4 version on my test bench for a while now, and beyond the batch update not working, it all appears OK. Check out the thread that CliveJ mentioned above for the correct upgrade process.
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,938
Messages
130,959
Members
17,632
Latest member
moaulool
Top